Skip to main content
GET
/
api
/
reports
/
cashflow-statement
Get cashflow statement report
curl --request GET \
  --url https://api.example.com/api/reports/cashflow-statement \
  --header 'Authorization: <authorization>' \
  --header 'accept: <accept>' \
  --header 'organization-id: <organization-id>'
{
  "query": {
    "displayColumnsType": "total",
    "displayColumnsBy": "day",
    "fromDate": "<string>",
    "toDate": "<string>",
    "numberFormat": {
      "precision": 2,
      "divideOn1000": false,
      "showZero": true,
      "formatMoney": "total",
      "negativeFormat": "parentheses"
    },
    "noneZero": true,
    "noneTransactions": true,
    "basis": "cash",
    "accountIds": [
      123
    ]
  },
  "data": [
    {
      "id": {},
      "name": "<string>",
      "nodeType": "AGGREGATE",
      "total": {
        "amount": 123,
        "formattedAmount": "<string>",
        "currencyCode": "<string>",
        "date": {}
      },
      "type": "<string>",
      "horizontalTotals": [
        {
          "amount": 123,
          "formattedAmount": "<string>",
          "currencyCode": "<string>",
          "date": {}
        }
      ],
      "code": "<string>",
      "index": 123,
      "children": "<array>"
    }
  ],
  "meta": {
    "organizationName": "<string>",
    "baseCurrency": "<string>",
    "dateFormat": "<string>",
    "isCostComputeRunning": true,
    "sheetName": "<string>",
    "formattedFromDate": "<string>",
    "formattedToDate": "<string>",
    "formattedDateRange": "<string>"
  }
}

Headers

Authorization
string
required

Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.

Example:

"Bearer bc_1234567890abcdef"

organization-id
string
required

Required if Authorization is a JWT token. The organization ID to operate within.

accept
string
required

Query Parameters

fromDate
string<date-time>

Start date for the cash flow statement period

toDate
string<date-time>

End date for the cash flow statement period

displayColumnsBy
enum<string>
default:year

Display columns by time period

Available options:
day,
month,
year,
quarter
displayColumnsType
enum<string>
default:total

Type of column display

Available options:
total,
date_periods
noneZero
boolean
default:false

Filter out zero values

noneTransactions
boolean
default:false

Filter out transactions

precision
number

Number of decimal places to display

Example:

2

divideOn1000
boolean

Whether to divide the number by 1000

Example:

false

showZero
boolean

Whether to show zero values

Example:

true

formatMoney
enum<string>

How to format money values

Available options:
total,
always,
none
Example:

"total"

negativeFormat
enum<string>

How to format negative numbers

Available options:
parentheses,
mines
Example:

"parentheses"

basis
string

Basis for the cash flow statement

Response

Cashflow statement report

query
object
required

Query parameters used to generate the report

data
object[]
required

Hierarchical cashflow data

meta
object
required

Report metadata